aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorFabian Groffen <grobian@gentoo.org>2011-05-02 19:38:24 +0200
committerFabian Groffen <grobian@gentoo.org>2011-05-02 19:38:24 +0200
commit6a851bcab5cab34dba3a1d89ce603480989e02a1 (patch)
treecbaf137b6f407958d41277b482c5e8afa06bfacd /runtests.sh
parentshebang check: ignore symlinks that point outside the prefix (diff)
parentUpdate timestamps in headers of modified files. (diff)
downloadportage-6a851bcab5cab34dba3a1d89ce603480989e02a1.tar.gz
portage-6a851bcab5cab34dba3a1d89ce603480989e02a1.tar.bz2
portage-6a851bcab5cab34dba3a1d89ce603480989e02a1.zip
Merge remote-tracking branch 'overlays-gentoo-org/master' into prefix
Conflicts: bin/misc-functions.sh pym/portage/package/ebuild/doebuild.py runtests.sh
Diffstat (limited to 'runtests.sh')
-rwxr-xr-xruntests.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/runtests.sh b/runtests.sh
index 0ae49315f..dadd32db1 100755
--- a/runtests.sh
+++ b/runtests.sh
@@ -1,4 +1,6 @@
#!@PORTAGE_BASH@
+# Copyright 2010-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
PYTHON_VERSIONS="2.6 2.7 3.1 3.2 3.3"
@@ -26,7 +28,7 @@ exit_status="0"
for version in ${PYTHON_VERSIONS}; do
if [[ -x @PREFIX_PORTAGE_PYTHON@${version} ]]; then
echo -e "${GOOD}Testing with Python ${version}...${NORMAL}"
- if ! @PREFIX_PORTAGE_PYTHON@${version} pym/portage/tests/runTests; then
+ if ! @PREFIX_PORTAGE_PYTHON@${version} pym/portage/tests/runTests "$@" ; then
echo -e "${BAD}Testing with Python ${version} failed${NORMAL}"
exit_status="1"
fi